Tryton - Issues

 

Issue6281

Title Can't add an inventory product line from tryton client 4.2
Priority bug Status resolved
Superseder Nosy List ced, nelghani, resteve, reviewbot, roundup-bot
Type behavior Components stock
Assigned To ced Keywords review
Reviews 32041002
View: 32041002

Created on 2017-02-17.09:27:45 by nelghani, last changed by roundup-bot.

Files
File name Uploaded Type Edit Remove
Inventories.bmp nelghani, 2017-02-17.09:27:45 image/bmp
Messages
New changeset 2f3aeb9b1154 by C?dric Krier in branch '4.2':
Add inventory field on tree view of line
http://hg.tryton.org/modules/stock/rev/2f3aeb9b1154
New changeset 7972c33024af by C?dric Krier in branch 'default':
Add inventory field on tree view of line
http://hg.tryton.org/modules/stock/rev/7972c33024af
msg32040 (view) Author: [hidden] (nelghani) Date: 2017-02-17.16:24:55
The review32041002 fixed the problem
review32041002 updated at https://codereview.tryton.org/32041002/#ps1
msg31994 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-02-17.10:51:18
Here is review32041002 which should fix the problem.
For the fact that it works in sao, indeed it is another issue in sao which makes editable tree not taking care of the states of the edited field. This will be fixed by issue6282
msg31987 (view) Author: [hidden] (nelghani) Date: 2017-02-17.09:27:45
Can't add an inventory product line : 
any newly created line product is not editable 
tests done with tryton client 4.2.3
The same test with SAO doesn't make an issue
see attached screenshot
History
Date User Action Args
2017-02-25 19:16:11roundup-botsetmessages: + msg32206
2017-02-23 00:22:53roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg32133
2017-02-17 16:24:55nelghanisetmessages: + msg32040
2017-02-17 11:18:13restevesetnosy: + resteve
2017-02-17 11:08:17reviewbotsetnosy: + reviewbot
messages: + msg31995
2017-02-17 10:51:18cedsetstatus: in-progress -> testing
reviews: 32041002
messages: + msg31994
keyword: + review
2017-02-17 10:47:27cedsetstatus: unread -> in-progress
assignedto: ced
component: + stock, - tryton
nosy: + ced
2017-02-17 09:27:45nelghanicreate

Showing 10 items. Show all history (warning: this could be VERY long)